﻿using Android.Content;
using FFImageLoading.Extensions;
using Forms44.Droid;
using Xamarin.Forms;
using Xamarin.Forms.Material.Android;
using Xamarin.Forms.Platform.Android;

[assembly: ExportRenderer(typeof(Button), typeof(DefaultButtonRenderer), new[] { typeof(VisualMarker.MaterialVisual) })]
namespace Forms44.Droid
{
    public class DefaultButtonRenderer : MaterialButtonRenderer
    {
        public DefaultButtonRenderer(Context context) : base(context)
        {
        }

        public DefaultButtonRenderer(Context context, BindableObject element) : base(context, element)
        {
        }

        protected override void OnElementChanged(ElementChangedEventArgs<Button> e)
        {
            base.OnElementChanged(e);

            if (Control == null)
            {
                return;
            }

            if (e.NewElement != null)
            {
                UpdateUI();
            }
        }

        private void UpdateUI()
        {
            //Fix Borders Width
            Control.StrokeWidth = Element?.BorderWidth.DpToPixels() ?? 0;
        }
    }
}
